# ETHDENVER-BUIDL-2022

Welcome to another undoubtedly great edition of EthDenver and [#BUIDLWEEK](https://www.ethdenver.com/schedule). We are super excited to hack with you and are very much looking forward to supporting you in your #BUIDL endeavors. This is another year of amazing pool prices and we are proud to further add USDC 15,000.00 to reward you for your innovation, ingenuity and dedication. 

## About Fluence

Fluence provides the infrastructure and tools to enable decentralized compute for applications and backends on peer-to-peer networks. Nodes in the Fluence peer-to-peer network host discoverable services comprised of WebAssembly Interface Types (IT) modules. Aqua, Fluence's purpose-built distributed systems programming language, allows developers to seamlessly program distributed networks and compose hosted services into decentralized applications. As a result, the Fluence platform allows you to quickly and effectively create and implement Web3 protocols and associated governance models.

## Challenges And Prices

### Off-chain Integration of EVMs -- 10 bounties @ USDC 500.00 each (5 bounties for in-person, 5 bounties for virtual submissions)

As a warmup challenge, use Fluence and Aqua to capture, mint and transfer data for an NFT or ERC20 token of your choice from Ethereum and at least one more EVM, e.g., Near, and store the results on a decentralized data solution of your choice such as IPFS, Filecoin, Ceramic, Textile or OrbitDB.


### Best DApp Using Fluence And Aqua -- 2 x USDC 4,000.00 (1 bounty for in-person, 1 bounty for virtual submission)

Use Fluence and Aqua to create decentralized DApps or eliminate centralized chokepoints from your DApp. For example, create and enable:

* off-chain DAOs for protocol and application code lifecylce where proposals and votes drive code updates, deployment and even performance monitoring

* multi-sig or threshold signature schemes utilizing Fluence network devices to hold and use key shards or shares, respectively. Use Fluence TrustGraph to label compliant and nefarious devices

* decentralized failover and consensus layer(s) over centralized Ethereum (archive) node API providers, such as Infura and Alchemy

* decentralized multi-EVM contract deployer and realtime transaction router to optimize gas costs or execution times

* distributed NFT caching service(s) that solves the problem of [privacy vulnerabilities](https://twitter.com/m_rtimr/status/1484477814510346241) arising from NFT marketplaces and wallets

*The Bounty distribution is USDC 5000.00, USDC 2000.00 and USDC 1000.00 for first, second and third place, respectively.*


### Best Use Of Fluence And Aqua With Other #BUIDLWEEK Sponsors -- 2 x USDC 1,000.00 (1 bounty for in-person, 1 bounties for virtual submissions)

If you already have a DApp in the making utilizing IPFS or Filecoin, submit your work in this category.

## Submission Requirements

* Generously document your submission
* Provide a max three (3) minute video for Beginner challenges and a max five (5) minute video for intermediate and advanced challenges to present and demonstrate your solution
* Submit via a Github or GitLab repo with MIT or Apache 2.0 license

Judging is based on originality, functionality and completeness of the submission. In the case of multiple, equal bounties available for a given challenge, the order of submissions determines payout rank for commensurately complete and functional projects.

## Resources

Fluence has a variety of support options, components and building blocks available to guide and accelerate your #BUIDL.

### Hackathon
* [Hacker Quick Start](https://www.notion.so/fluencenetwork/How-to-hack-on-Fluence-97e20ba47ef04df2bfd0c234ee90537d)

### General

* [Fluence Documentation](https://doc.fluence.dev/docs/)
* [Aqua Book](https://doc.fluence.dev/aqua-book/)
* [Fluence Quickstart](https://github.com/fluencelabs/examples/tree/main/quickstart)
* [Fluence Examples](https://github.com/fluencelabs/examples)
* [Discord](https://fluence.chat)
* [Fluence Youtube](https://www.youtube.com/channel/UC3b5eFyKRFlEMwSJ1BTjpbw)
* [Book A Meeting With The Team](https://calendly.com/fluencehack/)

### Community

See the [community page](https://github.com/fluencelabs/examples/tree/main/community) for a list of contributions.
